import request from '@/utils/request'

// 查询点巡检工单列表
export function listDmsBillsInstance(query) {
  return request({
    url: '/dms/dmsBillsInstance/list',
    method: 'get',
    params: query
  })
}
// 查询点检工单列表
export function listPoint() {
  return request({
    url: '/dms/dmsBillsInstance/listPoint',
    method: 'get',
  })
}
// 查询巡检工单列表
export function listSelectInspection() {
  return request({
    url: '/dms/dmsBillsInstance/listSelectInspection',
    method: 'get',
  })
}

// 查询巡检工单详细
export function getDmsBillsInstance(inspectInstanceId) {
  return request({
    url: '/dms/dmsBillsInstance/' + inspectInstanceId,
    method: 'get'
  })
}

// 新增巡检工单
export function addDmsBillsInstance(data) {
  return request({
    url: '/dms/dmsBillsInstance',
    method: 'post',
    data: data
  })
}

// 修改巡检工单
export function updateDmsBillsInstance(data) {
  return request({
    url: '/dms/dmsBillsInstance',
    method: 'put',
    data: data
  })
}

// 删除巡检工单
export function delDmsBillsInstance(inspectInstanceId) {
  return request({
    url: '/dms/dmsBillsInstance/' + inspectInstanceId,
    method: 'delete'
  })
}

